<div class="container-fluid">
  <div class="text-center mt-3 mb-3">
    <h2>Transactions & Monitoring</h2>
  </div>

  <div class="d-flex flex-row mb-2">
    <div *ngFor="let productType of productTypes"
         class="btn btn-lg btn-outline-light d-flex"
         (click)="setTargetProductType(productType)"
         [ngClass]="{'active': targetProductType && targetProductType.id === productType.id }">
      {{productType.name}}
    </div>
  </div>
  <hr class="border-bottom border-white">
  <div class="d-flex flex-row justify-content-between align-items-baseline mb-2">
    <div class="d-flex flex-grow-1">
      <input class="form-control form-control-lg"
             [owlDateTime]="dt1"
             [owlDateTimeTrigger]="dt1"
             [selectMode]="'range'"
             [(ngModel)]="dateTimeValue"
             (ngModelChange)="onChange($event)"
             placeholder="Date Time">
      <owl-date-time #dt1></owl-date-time>
    </div>
    <div class="d-flex btn btn-lg btn-outline-light"
         (click)="resetDateTimePicker()">
      Reset
    </div>
  </div>
  <hr class="border-bottom border-white">

  <div class="flex-row"
       *ngIf="targetProductType">
    <ul class="list-group list-group-flush">
      <li class="list-group-item"
          *ngFor="let prod of purchasedTargetProducts | keyvalue">
        <div class="d-flex">{{prod.key}} :  {{count(prod.value)}} Stück</div>

        <ul class="list-group list-group-flush">
          <li class="list-group-item"
              *ngFor="let user of prod.value | keyvalue">
            <div class="d-flex">{{user.value.name}} - {{user.value.time | timeAgo}}</div>
          </li>
        </ul>

      </li>
    </ul>
  </div>

  <div class="flex-row"
       *ngIf="!targetProductType">
    <ul class="list-group list-group-flush">
      <li class="list-group-item"
          [ngClass]="{'list-group-item-sucess': trans.transactionType == 'ChargeTransaction'}"
          *ngFor="let trans of transactions">
        <div class="d-flex">
          <div class="flex-shrink-1 mt-1 pr-3">
            <fa-icon style="display: block;" class="pb-2"
                     *ngIf="trans.transactionType == 'ChargeTransaction' && trans.sum > 0"
                     [icon]="'money-bill-wave'"
                     [fixedWidth]="true"
                     [size]="'2x'"></fa-icon>
            <fa-icon style="display: block;" class="pb-2"
                     *ngIf="trans.transactionType == 'ChargeTransaction' && trans.sum < 0"
                     [icon]="'hand-holding-usd'"
                     [fixedWidth]="true"
                     [size]="'2x'"></fa-icon>
            <fa-icon style="display: block;" class="pb-2"
                     *ngIf="trans.transactionType == 'PurchaseTransaction'"
                     [icon]="'shopping-cart'"
                     [fixedWidth]="true"
                     [size]="'2x'"></fa-icon>
          </div>
          <div class="flex-grow-1">
            <div class="d-flex w-100 justify-content-between">
              <h5 class="mb-1">
                <span *ngIf="trans.transactionType == 'ChargeTransaction' && trans.sum > 0">Charged by</span>
                <span *ngIf="trans.transactionType == 'ChargeTransaction' && trans.sum < 0">Cash out for</span>
                <span *ngIf="trans.transactionType == 'PurchaseTransaction'">Purchased by</span>
                {{trans.account.username}}
              </h5>
              <small>
                {{trans.timestamp | timeAgo}}
              </small>
            </div>

            <div class="d-flex w-100 justify-content-start flex-wrap flex-grow-0">
              <div *ngFor="let e of trans.entriesGrouped"
                   class="mr-3 mb-2">
                <div class="font-weight-bol">
                  {{e.product.name}}
                  <div class="font-weight-light"> ( {{e.amount}}x
                    <span
                      [ngClass]="{'text-danger':e.price > e.product.price,'text-success':e.price < e.product.price}">
                      {{e.price | currency}}</span> =
                    <span class="font-weight-bold">{{e.amount * e.price | currency}}</span> )
                  </div>
                </div>
              </div>
            </div>

            <div class="d-flex justify-content-between mb-1">
              <div>
                {{trans.comment}}
              </div>
              <div>
                Total:&nbsp;{{trans.sum | currency}}
              </div>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>

  <app-floating-link-button [urlString]="'start'"></app-floating-link-button>
</div>
